TMF632 v4 Party Management (Outbound)

POST Individual Contact Creation Event Notification

POST /notification/individualCreateEvent

Security: clientIdEnforcement.

Client listener for receiving IndividualCreateEvent notifications. This endpoint handles notifications when new individuals (contacts) are created in the system.

Parameters

  • contactToMultipleAccountsEnabled (query, boolean) Flag to filter events based on whether a contact is associated with multiple accounts
    Default: false.

Request body

Media type: application/json. Schema: array of object.

Array of notification event entries from Salesforce

Array of object.

Each item: Individual notification event from Salesforce

Individual notification event from Salesforce

  • entityId (string) The unique identifier of the Salesforce entity (e.g., Contact record ID)
    Example: 003LT0000038MODYA2.
  • entityName (string) The name of the Salesforce object type
    Example: Contact.
  • eventId (string) Unique identifier for this specific event
    Example: 0001ade9-3f74-0b99-dbc4-42e73424b774-1.
  • commitTimestamp (number) Timestamp when the change was committed in Unix timestamp format (milliseconds)
    Example: 1739268701178.
  • commitNumber (number) Sequential number of the commit operation
    Example: 1750781490623881200.
  • correlationId (string) Identifier that correlates related events that occurred as part of the same transaction
    Example: 0001ade9-3f74-0b99-dbc4-42e73424b77.
  • changeEventType (string) Type of change that triggered the event
    Example: Create.
  • enrichedFields (object)
  • changedFields (object)

Example

[
    {
      "entityId": "003LT0000038MODYA2",
      "entityName": "Contact",
      "eventId": "0001ade9-3f74-0b99-dbc4-42e73424b774-1",
      "commitTimestamp": 1739268701178,
      "commitNumber": 1750781490623881200,
      "correlationId": "0001ade9-3f74-0b99-dbc4-42e73424b77",
      "changeEventType": "Create",
      "enrichedFields": {},
      "changedFields": {
        "Header_Field_1__c" : "New Value",
        "Header_Field_2__c" : 123.45
        }
    }
]

Responses

  • 207 Individual creation event successfully processed

    Media type: application/json. Schema: array of object.

    Array of notification processing results

    Array of object.

    Each item: Represents the result of processing a single notification event

    Represents the result of processing a single notification event

    • entityId (string) The unique identifier of the entity (Contact) that was processed
      Example: 003LT000002tUnYYAU.
    • message (string) A descriptive message about the processing outcome
      Example: Event Posted Successfully.

    Example

    [
      {
        "entityId": "003LT000002tUnYYAU",
        "message": "Event Posted Successfully"
      },
      {
        "entityId": "003LT0000038MODYA2",
        "message": "Event Posted Successfully"
      }
    ]
  • 400 Bad request

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "400",
      "reason": "string",
      "message": "Bad Request",
      "status": "string",
      "referenceError": "string"
    }
  • 401 Unauthorized

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "401",
      "reason": "string",
      "message": "Unauthorized",
      "status": "string",
      "referenceError": "string"
    }
  • 403 Forbidden

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "403",
      "reason": "string",
      "message": "Forbidden",
      "status": "string",
      "referenceError": "string"
    }
  • 404 Resource not found

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "404",
      "reason": "string",
      "message": "Not Found",
      "status": "string",
      "referenceError": "string"
    }
  • 405 Method not allowed

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "405",
      "reason": "string",
      "message": "Method Not Allowed",
      "status": "string",
      "referenceError": "string"
    }
  • 500 Internal server error

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "500",
      "reason": "string",
      "message": "Internal Server Error",
      "status": "string",
      "referenceError": "string"
    }
  • 501 Not Implemented

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "501",
      "reason": "string",
      "message": "Not Implemented",
      "status": "string",
      "referenceError": "string"
    }
  • 503 Service Unavailable

    Media type: application/json. Schema: any.

    Type: any.

    Example

    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "503",
      "reason": "string",
      "message": "Service Unavailable",
      "status": "string",
      "referenceError": "string"
    }
  • 200

    Headers:

    • X-Ratelimit-Remaining (number, required) The amount of available quota
      Example: 5.
    • X-Ratelimit-Limit (number, required) The maximum available requests per window
      Example: 10.
    • X-Ratelimit-Reset (number, required) The remaining time, in milliseconds, until a new window starts
      Example: 3000.
  • 201

    Headers:

    • X-Ratelimit-Remaining (number, required) The amount of available quota
      Example: 5.
    • X-Ratelimit-Limit (number, required) The maximum available requests per window
      Example: 10.
    • X-Ratelimit-Reset (number, required) The remaining time, in milliseconds, until a new window starts
      Example: 3000.